[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: don't fail the build if PKGBUILD cannot be sourced

Holger Levsen holger at layer-acht.org
Sat Dec 9 23:15:03 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit b128725fd18087f4cfaf723ad947a7dd4d19c0c2
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Dec 9 23:14:56 2017 +0000

    reproducible Arch Linux: don't fail the build if PKGBUILD cannot be sourced
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_build_archlinux_pkg.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index 3aa5838..293fe0f 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -150,7 +150,7 @@ first_build() {
 	# update before pulling new dependencies
 	schroot --run-session -c $SESSION --directory "$BUILDDIR" -u root -- pacman -Syu --noconfirm 2>&1 | tee -a $LOG
 	# determine the version of the package being build
-	source "$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD"
+	source "$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD" || echo "Failed to source PKGBUILD from '$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD'" | tee -a $LOG
 	if [ -n "$epoch" ] ; then
 		epoch="$epoch:"
 	fi
@@ -231,7 +231,7 @@ second_build() {
 	# update before pulling new dependencies
 	schroot --run-session -c $SESSION --directory "$BUILDDIR" -u root -- pacman -Syu --noconfirm 2>&1 | tee -a $LOG
 	# determine the version of the package being build
-	source "$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD"
+	source "$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD" || echo "Failed to source PKGBUILD from '$BUILDDIR/$ACTUAL_SRCPACKAGE/trunk/PKGBUILD'" | tee -a $LOG
 	if [ -n "$epoch" ] ; then
 		epoch="$epoch:"
 	fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list